cascading.tuple.hadoop.util

## Class ReverseGroupingSortingComparator

- java.lang.Object
- - org.apache.hadoop.conf.Configured
  - - cascading.tuple.hadoop.util.DeserializerComparator<TuplePair>
    - - cascading.tuple.hadoop.util.GroupingSortingComparator
      - - cascading.tuple.hadoop.util.ReverseGroupingSortingComparator

All Implemented Interfaces:
  Comparator<TuplePair>, org.apache.hadoop.conf.Configurable, org.apache.hadoop.io.RawComparator<TuplePair>

    public class ReverseGroupingSortingComparator
    extends GroupingSortingComparator

Class ReverseTuplePairComparator is an implementation of `RawComparator`.

### Field Summary

### Fields inherited from class cascading.tuple.hadoop.util.DeserializerComparator

`groupComparators, keyTypes, lhsBuffer, lhsStream, rhsBuffer, rhsStream, tupleSerialization`

### Constructor Summary

Constructors
Constructor and Description
`ReverseGroupingSortingComparator()`

### Method Summary

Methods
`int` `compare(byte[] b1, int s1, int l1, byte[] b2, int s2, int l2)`
`int` `compare(TuplePair lhs, TuplePair rhs)`

### Methods inherited from class cascading.tuple.hadoop.util.GroupingSortingComparator

`setConf`

### Methods inherited from class cascading.tuple.hadoop.util.DeserializerComparator

`canPerformRawComparisons, compareTuples, compareTuples, getFieldComparatorsFrom, getHadoopTupleInputStream, performRawComparison`

### Methods inherited from class org.apache.hadoop.conf.Configured

`getConf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Comparator

`equals`

### Constructor Detail

#### ReverseGroupingSortingComparator

    public ReverseGroupingSortingComparator()

### Method Detail

#### compare

    public int compare(byte[] b1,
              int s1,
              int l1,
              byte[] b2,
              int s2,
              int l2)

Specified by:
  `compare` in interface `org.apache.hadoop.io.RawComparator<TuplePair>`
Overrides:
  `compare` in class `GroupingSortingComparator`

#### compare

    public int compare(TuplePair lhs,
              TuplePair rhs)

Specified by:
  `compare` in interface `Comparator<TuplePair>`
Overrides:
  `compare` in class `GroupingSortingComparator`